rust-reqwest (0.13.2-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Sun, 31 May 2026 17:17:10 +0200

rust-reqwest (0.13.2-2) experimental; urgency=medium

  * Team upload.
  * Package reqwest 0.13.2 from crates.io using debcargo 2.8.2
  * Drop hickory-0.24.patch, use hickory 0.25

 -- Peter Michael Green <plugwash@debian.org>  Tue, 14 Apr 2026 16:08:17 +0000

rust-reqwest (0.13.2-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.13.2 from crates.io using debcargo 2.8.2

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Mon, 16 Mar 2026 13:54:56 +0100

rust-reqwest (0.12.28-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.12.28 from crates.io using debcargo 2.7.11
  * Remove patches relating to tests that either are no longer included
    in the crates.io release, or no longer exist at all.
  * Stop patching cookie-store dependency, what upstream wants now matches
    what Debian has.
  * Update remaining patches for new upstream.
  * Drop remove-windows.patch and remove-macos.patch, the crate no longer
    has any windows/mac specific dependencies.
  * Drop replace-libflate.patch, upstream now uses flate2.
  * Disable test that requires test data not included in the crates.io release.
  * Add patch to continue using hickory 0.24 for now.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 24 Dec 2025 12:43:07 +0000

rust-reqwest (0.12.15-6) unstable; urgency=medium

  * Team upload
  * Package reqwest 0.12.15 from crates.io using debcargo 2.7.10
  * Build with rust-cookie-store 0.22

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Sep 2025 12:22:20 -0400

rust-reqwest (0.12.15-5) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.12.15 from crates.io using debcargo 2.7.8
  * Remove patches for rustls-native-certs 0.6, use version 0.8.
    (Closes: #1112522)

 -- Peter Michael Green <plugwash@debian.org>  Sun, 31 Aug 2025 04:26:45 +0000

rust-reqwest (0.12.15-4) experimental; urgency=medium

  * Team upload.
  * Package reqwest 0.12.15 from crates.io using debcargo 2.7.8
  * Tolerate connection refused in tests non_op_layer_with_timeout and
    with_connect_timeout_layer_never_returning.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 03 Jul 2025 02:23:28 +0000

rust-reqwest (0.12.15-3) experimental; urgency=medium

  * Team upload.
  * Package reqwest 0.12.15 from crates.io using debcargo 2.7.8
  * Improve error reporting in tests non_op_layer_with_timeout and
    with_connect_timeout_layer_never_returning.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 02 Jul 2025 10:17:37 +0000

rust-reqwest (0.12.15-2) experimental; urgency=medium

  * Team upload.
  * Package reqwest 0.12.15 from crates.io using debcargo 2.7.8
  * Tolerate a 403 response in connect_timeout_blocking_request to accomodate
    Ubuntu autopkgtest infrastructure.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 01 Jul 2025 19:11:45 +0000

rust-reqwest (0.12.15-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.12.15 from crates.io using debcargo 2.7.8
  * Stop vendoring hyper-rustls, Debian now has a suitable version.
  * Update patches for new upstream.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 08 Apr 2025 15:29:32 +0000

rust-reqwest (0.12.12-3) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.12.12 from crates.io using debcargo 2.7.8
  * Replace patch disabling hyper-rustls with a patch vendoring it, until
    a suitable version is packaged in Debian. (Closes: #1096190)
  * Bump dependencies to help britney's autopkgtest scheduler.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 15 Mar 2025 03:14:10 +0000

rust-reqwest (0.12.12-2) unstable; urgency=medium

  * Package reqwest 0.12.12 from crates.io using debcargo 2.7.6
  * Rearrange patches for easier testing.
  * Add patch to support older rustls-native-certs, since Jonas wants
    to handle that update seperately.

  [ Maytham Alsudany ]
  * Team upload.
  * Package reqwest 0.12.12 from crates.io using debcargo 2.7.6
  * Refresh patches.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 08 Mar 2025 17:54:15 +0000

rust-reqwest (0.12.9-8) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.12.9 from crates.io using debcargo 2.7.6
  * Stop overriding debian/tests/control, control tests via debian/debcargo.toml
  * Skip most tests on riscv64 due to timeouts.
  * Tolerate "connection refused" errors in test_timeout.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 20 Feb 2025 16:47:22 +0000

rust-reqwest (0.12.9-7) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.12.9 from crates.io using debcargo 2.7.6
  * Extend error reporting in timeout test.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 18 Feb 2025 03:01:57 +0000

rust-reqwest (0.12.9-6) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.12.9 from crates.io using debcargo 2.7.6
  * Add yet more guards in test_get_sys_proxies_parsing

 -- Peter Michael Green <plugwash@debian.org>  Sun, 16 Feb 2025 02:57:58 +0000

rust-reqwest (0.12.9-5) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.12.9 from crates.io using debcargo 2.7.6
  * Extend unset-proxy-vars-in-test.patch to fix test_get_sys_proxies_parsing

 -- Peter Michael Green <plugwash@debian.org>  Sat, 15 Feb 2025 12:08:21 +0000

rust-reqwest (0.12.9-4) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.12.9 from crates.io using debcargo 2.7.6
  * Tighten h2 dependency to avoid versions that were patched to use http
    0.2.

 -- Peter Michael Green <plugwash@debian.org>  Fri, 14 Feb 2025 01:34:38 +0000

rust-reqwest (0.12.9-3) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.12.9 from crates.io using debcargo 2.7.6

 -- Peter Michael Green <plugwash@debian.org>  Tue, 28 Jan 2025 19:37:35 +0000

rust-reqwest (0.12.9-2) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.12.9 from crates.io using debcargo 2.7.6
  * Re-enable hickory-dns

 -- Peter Michael Green <plugwash@debian.org>  Sat, 25 Jan 2025 18:11:25 +0000

rust-reqwest (0.12.9-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.12.9 from crates.io using debcargo 2.7.6
  * Bump env-logger to 0.11
  * Relax dependency on sync-wrapper.
  * Disable test connect_many_timeout_succeeds, it seems to fail in some
    environments.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 25 Jan 2025 11:05:42 +0000

rust-reqwest (0.12.9-1~exp1) experimental; urgency=medium

  * Team upload.
  * Package reqwest 0.12.9 from crates.io using debcargo 2.7.2
  * Update and reorganize patches
  * Drop outdated patches
   - disable-test-that-sometimes-fails-on-debci.patch
   - fix-test-feature-requirements.patch
   - relax-dep.patch
   - tests-bypass-the-proxy-if-testing-DNS-override.patch
   - tests-bypass-the-proxy-if-testing-timeouts.patch
   - trust-dns-0.22.patch
   - update-brotli.patch
  * Replace libflate with flate2 due to errors updating libflate
  * Downgrade rustls to packaged 0.21
  * Disable unstable http3 feature and deps
  * Disable hickory-dns feature, there is some problem in dep hickory-proto;
  also removes leftover trust-dns feature
  * Disable hyper-rustls to avoid patches for rustls stack

 -- Blair Noctis <ncts@debian.org>  Sun, 03 Nov 2024 16:54:25 +0000

rust-reqwest (0.11.27-5) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.27 from crates.io using debcargo 2.7.0
  * Skip test response_timeout on s390x, it seems flaky there.
  * Skip testing most feature configurations on riscv64 due to timeouts.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 27 Oct 2024 01:29:18 +0000

rust-reqwest (0.11.27-4) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.27 from crates.io using debcargo 2.7.0
  * Relax dependency on base64.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 05 Oct 2024 09:04:57 +0000

rust-reqwest (0.11.27-3) unstable; urgency=medium

  * Cherry-pick another test fix to take the Ubuntu CI proxy into account
    (LP: #2071789)

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Wed, 10 Jul 2024 14:52:23 +0200

rust-reqwest (0.11.27-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick a test fix to take the Ubuntu CI proxy into account
    (LP: #2071789)

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 04 Jul 2024 11:40:47 +0200

rust-reqwest (0.11.27-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.27 from crates.io using debcargo 2.6.1
  * Update dep on brotli to 6
  * Refresh patches

 -- Blair Noctis <n@sail.ng>  Mon, 17 Jun 2024 21:18:23 +0200

rust-reqwest (0.11.24-3) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.24 from crates.io using debcargo 2.6.1
  * Relax dependency on h2.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 13 Apr 2024 11:18:02 +0000

rust-reqwest (0.11.24-2) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.24 from crates.io using debcargo 2.6.1

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Fri, 12 Apr 2024 09:20:36 -0400

rust-reqwest (0.11.24-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.24 from crates.io using debcargo 2.6.1
  * Update patches for new upstream and current situation in Debian.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 08 Feb 2024 04:04:10 +0000

rust-reqwest (0.11.23-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.23 from crates.io using debcargo 2.6.1
  * Reenable http3 and brotli as those dependencies are now in Debian.

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Wed, 07 Feb 2024 06:43:12 -0500

rust-reqwest (0.11.22-5) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.22 from crates.io using debcargo 2.6.1
  * Skip flaky tests test_empty_sys_no_proxy, test_get_sys_proxies_in_cgi and
    test_sys_no_proxy on all architectures rather than just arm*.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 05 Dec 2023 15:52:19 +0000

rust-reqwest (0.11.22-4) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.22 from crates.io using debcargo 2.6.0
  * Stop overriding control files (Closes: #1050409, #1055671)
  * Disable a number of tests which have proven flaky on debci.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 19 Nov 2023 19:15:01 +0000

rust-reqwest (0.11.22-3) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.22 from crates.io using debcargo 2.6.0
  * Add provides line for librust-reqwest-0.11+socks-dev

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Fri, 10 Nov 2023 10:27:07 +0100

rust-reqwest (0.11.22-2) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.22 from crates.io using debcargo 2.6.0
  * Fix truncated line in debian/tests/control.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 14 Oct 2023 05:54:02 +0000

rust-reqwest (0.11.22-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.22 from crates.io using debcargo 2.6.0
  * Remove bogus trust-dns-resolver build-dependency.
  * Limit trust-dns, depends, provides and autopkgtests to architectures
    where ring is available.
  * Update patches for new upstream.
  * Rearrange patches for eaasier testing.
  * Remove macos-specific dependency newly added by upstream and not available in Debian.
  * Revert upstream switch to trust-dns 0.23.
  * Re-enable socks feature (Closes: #1024373).

 -- Peter Michael Green <plugwash@debian.org>  Sat, 14 Oct 2023 05:30:39 +0000

rust-reqwest (0.11.18-2) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.18 from crates.io using debcargo 2.6.0
  * Reenable trust-dns-resolver
  * Reenable async-compression
  * Bump env-logger from 0.9 to 0.10

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Sat, 16 Sep 2023 21:39:48 +0200

rust-reqwest (0.11.18-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.18 from crates.io using debcargo 2.6.0
  * Update patches for new upstream.
  * Update overridden debian/tests/control for new upstream.
  * Disable newly added http3 feature, as it's dependencies are not
    available in Debian.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 19 Aug 2023 12:15:03 +0000

rust-reqwest (0.11.14-4) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.14 from crates.io using debcargo 2.6.0
  * Bump cookie_store dependency to 0.19

 -- Peter Michael Green <plugwash@debian.org>  Fri, 28 Jul 2023 02:01:21 +0000

rust-reqwest (0.11.14-3) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.14 from crates.io using debcargo 2.6.0
  * Add breaks on old version of librust-oauth2-dev to help britney's
    autopkgtest scheduler.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 24 Jun 2023 20:09:51 +0000

rust-reqwest (0.11.14-2) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.14 from crates.io using debcargo 2.6.0
  * Bump dependency on rustls-pemfile to help britney's autopkgtest scheduler.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 22 Jun 2023 15:40:11 +0000

rust-reqwest (0.11.14-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.14 from crates.io using debcargo 2.6.0 (Closes: #1037418)

 -- Fabian Grünbichler <f.gruenbichler@proxmox.com>  Thu, 15 Jun 2023 01:09:09 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog librust-reqwest-dev`.
